<template>
  <a-card title="Liste des types d'erreur" style="width: 100%">
    <div class="row mb-3">
      <div class="col-12 d-flex justify-content-end">
        <a-button type="primary">
          <router-link :to="{ name: 'admin-users-create' }">
            <i class="fa-solid fa-plus"></i>
          </router-link>
        </a-button>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <a-table :dataSource="users" :columns="columns" :scroll="{ x: 576 }">
          <template #bodyCell="{ column, index, record }">
            <template v-if="column.key === 'index'">
              <span>{{ index + 1 }}</span>
            </template>

            <template v-if="column.key === 'status'">
              <span v-if="record.status_id == 1" class="text-primary">{{ record.status }}</span>
              <span v-else-if="record.status_id == 2" class="text-danger">{{ record.status }}</span>
            </template>

            <template v-if="column.key === 'action'">
              <a-button type="primary" class="me-0 me-sm-2 mb-2 mb-sm-0">
                <i class="fa-solid fa-pen-to-square"></i>
              </a-button>

              <a-button type="primary" class="danger" @click="destroy(record.id)">
                <i class="fa-solid fa-trash-can"></i>
              </a-button>
            </template>
          </template>
        </a-table>
      </div>
    </div>
  </a-card>
</template>

<script>
import { defineComponent, ref } from "vue";
import { useMenu } from "../../../stores/use-menu.js";
export default defineComponent({
  setup() {
    useMenu().onSelectedKeys(["admin-users"]);

    const users = ref([]);
    const columns = [
      {
        title: "#",
        key: "index",
      },
      {
        title: "Code d'érreur",
        key: "error_code_mess",
      },
      {
        title: "Correspondance SmartPush",
        dataIndex: "error_code_rec",
        key: "error_code_rec",
      },
      {
        title: "Durée avant purge",
        dataIndex: "duration",
        key: "duration",
      },
      {
        title: "Retour échec",
        dataIndex: "nb_ko",
        key: "nb_ko",
        responsive: ["sm"],
      },
      {
        title: "Action",
        key: "action",
        fixed: "right",
      },
    ];

    const postData = [
      "example@yopmail.com",
      "abdel.camara24@gmail.com",
      "adresse3@example.com",
      "adressed@example.com",
      "adresseo@example.com",
      "adresseg@example.com"
    ];
    const getUsers = () => {
      axios
        .post("http://127.0.0.1:2500/api/verify-emails",postData)
        .then((response) => {
          console.log(response);
          users.value = response.data;
        })
        .catch((error) => {
          console.log(error);
        });
    };

    const destroy = (id) => {
      alert(`Bạn đang muốn xóa User có id là: ${id}`);
    };

    // const getUsers2 = async () => {
    //   try {
    //     const response = await axios.get("/user?ID=12345");
    //     console.log(response);
    //   } catch (error) {
    //     console.error(error);
    //   }
    // };

    getUsers();

    return {
      users,
      columns,
      destroy
    };
  },
});
</script>